Get started
Quickstart
Transcribe one file with POST /v1/speech-to-text.
- Create an API key.
- Send
model, then the audio asfile.paramsis an optional JSON string. - The call stays open for up to 4 minutes. When the job is still
queuedorrunning, readGET /v1/speech-to-text/{job_id}.
curl https://api.pascalai.co/v1/speech-to-text \
-H "Authorization: Bearer $PASCAL_API_KEY" \
-H "Idempotency-Key: $(uuidgen)" \
-F model=whisper-large-v3-turbo \
-F params='{"language":"en"}' \
-F file=@meeting.wav
curl https://api.pascalai.co/v1/speech-to-text/$JOB_ID \
-H "Authorization: Bearer $PASCAL_API_KEY"A folder of files is POST /v1/speech-to-text/batch. See Speech to text.